This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 227083 - Review Request: maven-shared-1.0-4jpp - Maven Shared Components
Review Request: maven-shared-1.0-4jpp - Maven Shared Components
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:45 EST by Rafael H. Schloming
Modified: 2014-12-01 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 20:03:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pcheung: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:45:38 EST
Spec URL: http://people.redhat.com/rafaels/specs/maven-shared-1.0-4jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/maven-shared-1.0-4jpp.src.rpm
Description: Maven Shared Components

Maven Shared File Management API.

Javadoc for maven-shared-file-management.

Maven Shared Plugin Testing Harness.

Javadoc for maven-shared-plugin-testing-harness.
Comment 1 Tania Bento 2007-02-27 11:40:25 EST
Here are the links to the updated source rpm and spec file:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/253/maven-shared.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/254/maven-shared-1.0-4jpp.1.src.rpm
Comment 2 Permaine Cheung 2007-03-06 10:11:33 EST
I'll take this one.
Comment 3 Permaine Cheung 2007-03-06 10:33:42 EST
Please fix items marked by X, thanks!
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
* license field matches the actual license.
* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
X verify source and patches (md5sum matches upstream, know what the patches do)
- tar command for Source0 creates a src tar ball named file-management.tar.gz, 
 but Source0 is maven-shared-file-management-1.0.tar.gz
 - Source 4 is maven-plugin-testing-harness-1.0-beta-1.tar.gz, but tar command
   creates maven-plugin-testing-harness.tar.gz
 - md5sum mismatch, but diff -r shows contents are the same.
* skim the summary and description for typos, etc.
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
X license text included in package and marked with %doc
- no license marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
X rpmlint on <this package>.srpm gives no output
W: maven-shared mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 51)

* changelog format is ok
* Packager tag should not be used
* Vendor tag should not be used
* Distribution tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - URL is for Apache Geronimo
 - should have %define _with_gcj_support 1 at the top of the spec file, please
get rid of %define _with_gcj_support 0 and %define gcj_support 0
-  the %define gcj_support .... doesn't seems like it can be split up
  into multiple lines
- for the %post and %postun, the if condition should probably be before the
 the %post[,un] so that there won't be an empty %post[,un] if gcj_support is 0.*
package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
* make sure lines are <= 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
 - see

http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
will do these when issues are fixed
* run rpmlint on the binary RPMs

SHOULD:
X package should include license text in the package and mark it with %doc
no license text marked with %doc
* package should build on i386
* package should build in mock
will try to build after issues are fixed, and BR's are built.
Comment 4 Permaine Cheung 2007-03-06 10:44:36 EST
Reassigning...
Comment 5 Permaine Cheung 2007-03-06 23:36:04 EST
Missing BRs:
BuildRequires:        maven2-plugin-compiler
BuildRequires:        maven2-plugin-install
BuildRequires:        maven2-plugin-jar
BuildRequires:        maven2-plugin-javadoc
BuildRequires:        maven2-plugin-release
BuildRequires:        maven2-plugin-resources
BuildRequires:        maven2-plugin-surefire
and 
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  maven2 >= 0:1.1
should be:
BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  maven2 >= 0:2.0.4-9jpp
Also,
Requires:  maven2 >= 0:1.1
should be:
Requires:  maven2 >= 0:2.0.4
Comment 6 Deepak Bhole 2007-03-12 20:07:57 EDT
New SPEC and SRPM:

http://people.redhat.com/dbhole/fedora/maven-shared/maven-shared.spec
http://people.redhat.com/dbhole/fedora/maven-shared/maven-shared-1.0-4jpp.1.fc7.src.rpm

I...

- Fixed the gcj line
- Disabled the tests for now (getting NPE in junit code somewhere..)
- Separated the javadocs into proper subpackages
- Updated site
- Fixed BR's

E: maven-shared no-binary
W: maven-shared no-documentation
W: maven-shared-file-management no-documentation
W: maven-shared-file-management-javadoc non-standard-group Development/Documentation
E: maven-shared-file-management-javadoc zero-length
/usr/share/javadoc/maven-shared-file-management-1.0/package-list
W: maven-shared-plugin-testing-harness no-documentation
W: maven-shared-plugin-testing-harness-javadoc non-standard-group
Development/Documentation
E: maven-shared-plugin-testing-harness-javadoc zero-length
/usr/share/javadoc/maven-shared-plugin-testing-harness-1.0/package-list
W: maven-shared-plugin-testing-harness-javadoc filename-too-long-for-joliet
maven-shared-plugin-testing-harness-javadoc-1.0-4jpp.1.fc7.x86_64.rpm

First error is ok to ignore because the first package is just namesake. There is
no shared jar upstream, just various subjars.

Second and third errors are about autogenerated files, which are beyond packager
control.
Comment 7 Permaine Cheung 2007-03-12 20:45:01 EDT
rpmlint on mock built rpms:
[pcheung@to-fcjpp1 review]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-*rpm
E: maven-shared no-binary
W: maven-shared no-documentation
W: maven-shared-file-management no-documentation
W: maven-shared-file-management-javadoc non-standard-group Development/Documentation
E: maven-shared-file-management-javadoc zero-length
/usr/share/javadoc/maven-shared-file-management-1.0/package-list
W: maven-shared-plugin-testing-harness no-documentation
W: maven-shared-plugin-testing-harness-javadoc non-standard-group
Development/Documentation
E: maven-shared-plugin-testing-harness-javadoc zero-length
/usr/share/javadoc/maven-shared-plugin-testing-harness-1.0/package-list
W: maven-shared-plugin-testing-harness-javadoc filename-too-long-for-joliet
maven-shared-plugin-testing-harness-javadoc-1.0-4jpp.1.fc7.x86_64.rpm

final provides and requires on binary rpms:
[pcheung@to-fcjpp1 ~]$ rpm -qp --provides
/var/lib/mock/fedora-development4-core-jpp17-pcheung/result/maven-shared-1.0-4jpp.1.fc7.x86_64.rpm
config(maven-shared) = 0:1.0-4jpp.1.fc7
maven-shared = 0:1.0-4jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-debuginfo-1.0-4jpp.1.fc7.x86_64.rpm
file-management-1.0.jar.so.debug()(64bit)
plugin-testing-harness-1.0.jar.so.debug()(64bit)
maven-shared-debuginfo = 0:1.0-4jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-file-management-1.0-4jpp.1.fc7.x86_64.rpm
file-management-1.0.jar.so()(64bit)
maven-shared-file-management = 0:1.0-4jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-file-management-javadoc-1.0-4jpp.1.fc7.x86_64.rpm
maven-shared-file-management-javadoc = 0:1.0-4jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-plugin-testing-harness-1.0-4jpp.1.fc7.x86_64.rpm
plugin-testing-harness-1.0.jar.so()(64bit)
maven-shared-plugin-testing-harness = 0:1.0-4jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-plugin-testing-harness-javadoc-1.0-4jpp.1.fc7.x86_64.rpm
maven-shared-plugin-testing-harness-javadoc = 0:1.0-4jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-1.0-4jpp.1.fc7.x86_64.rpm
/bin/sh
/bin/sh
config(maven-shared) = 0:1.0-4jpp.1.fc7
java-gcj-compat
java-gcj-compat
jpackage-utils >= 0:1.7.2
jpackage-utils >= 0:1.7.2
maven2 >= 0:2.0.4-9
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 ~]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-debuginfo-1.0-4jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 ~]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-file-management-1.0-4jpp.1.fc7.x86_64.rpm
/bin/sh
/bin/sh
junit
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcj_bc.so.1()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libz.so.1()(64bit)
maven-shared = 0:1.0-4jpp.1.fc7
plexus-utils
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
[pcheung@to-fcjpp1 ~]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-file-management-javadoc-1.0-4jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 ~]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-plugin-testing-harness-1.0-4jpp.1.fc7.x86_64.rpm
/bin/sh
/bin/sh
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcj_bc.so.1()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libz.so.1()(64bit)
maven-shared = 0:1.0-4jpp.1.fc7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
[pcheung@to-fcjpp1 ~]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/maven-shared-plugin-testing-harness-javadoc-1.0-4jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


APPROVED.
Reassigning for building in plague.
Comment 8 Deepak Bhole 2007-03-13 00:19:13 EDT
New Package CVS Request
=======================
Package Name: maven-shared
Short Description: Maven Shared Components
Owners: dbhole@redhat.com
Branches: devel
Comment 9 Jens Petersen 2007-03-13 07:12:54 EDT
done
Comment 10 Bernard Johnson 2007-04-11 18:48:21 EDT
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e

Note You need to log in before you can comment on or make changes to this bug.